variables:
  ANSIBLE_FORCE_COLOR: "true"
  ANSIBLE_CONFIG: "ansible.cfg"

before_script:
  - apt-get update -qq && apt-get install -y python python-pip python-netaddr
  - pip install ansible ansible-lint
  - ansible --version
  - echo -e "[defaults]\nroles_path=../" >ansible.cfg
  - ansible -i tests/inventory all -m setup --connection=local

quality:
  script:
    - ansible-playbook tests/test.yml -i tests/inventory --syntax-check
    - ansible-lint tests/test.yml
    - ansible-playbook tests/test.yml -i tests/inventory --connection=local --become
  except:
    changes:
      - README.md
      - LICENSE
      - meta/*
      - .gitignore
